{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":21036,"path":"integrate-applications/integration-hub/aws-translate-spk.md","title":"AWS Translate Spoke","bundle":null,"doc_type":null,"release":"australia","body":"\n# AWS Translate Spoke\n\nIntegrate your ServiceNow instance with AWS Translate to detect languages in the text and translate text to the required language.\n\n## Request apps on the Store\n\nVisit the [ServiceNow Store](https://store.servicenow.com/sn_appstore_store.do#!/store/home) to view all the available apps, and for information about submitting requests to the store. For cumulative release notes information for all released apps, see the [ServiceNow Store version history release notes](https://www.servicenow.com/docs/r/store-release-notes/sn-store-release-notes.html).\n\n## Integration Hub subscription\n\nThis spoke requires an Integration Hub subscription. For more information, see [Legal schedules - IntegrationHub overview](https://www.servicenow.com/content/dam/servicenow-assets/public/en-us/doc-type/legal/snc-addendum-integrationhub.pdf).\n\n## Spoke version\n\nAWS Translate Spoke v1.0.3 is the latest version. For version history of the spoke, see [AWS Translate Spoke release notes](https://www.servicenow.com/docs/r/store-release-notes/store-integrationhub-rn-aws-translate-spoke.html).\n\n## Supported version\n\nThis spoke was built for AWS Translate API version 2017-07-01 and AWS Comprehend version 2017-11-27, but may be compatible with later versions.\n\n**Note:**\n\n-   If you use different API version, ensure that you change the API version in all spoke actions.\n-   The current version of the AWS Translate spoke is not compatible with dynamic translation.\n\n## Spoke dependencies\n\nIf you’re having trouble installing the app, ensure that these dependent plugins are installed:\n\n-   Complex Object \\(com.glide.cobject\\)\n-   ServiceNow IntegrationHub Runtime \\(com.glide.hub.integration.runtime\\)\n-   ServiceNow Flow Designer - Dynamic Inputs \\(com.glide.hub.dynamic\\_inputs\\)\n-   ServiceNow IntegrationHub Action Step - REST \\(com.glide.hub.action\\_step.rest\\)\n\n**Note:** Some of these plugins are licensable features and require an appropriate license if used outside the spoke implementation. For information on licenses, contact your account manager.\n\n## Spoke requirements\n\n-   User with full access to AWS Translate.\n-   Access Key ID and Secret Access Key of the user. Record these values for later use. For more information, see [Create an access key](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/integrate-applications/integration-hub/aws-translate-setup.md).\n\nFor more information about creating user and providing the required access, see [AWS Identity and Access Management Documentation](https://docs.aws.amazon.com/iam/index.html) site.\n\n## Spoke flow\n\nThe AWS Translate spoke provides a sample flow, Translate Short Description when Incident is Created to demonstrate translating the short description to Spanish when an incident is created. You can customize the sample flow as per your requirement by creating a copy of it in the required scope.\n\n## Spoke actions\n\nThe AWS Translate spoke provides actions to automate translating tasks when events occur in ServiceNow. Available actions include:\n\n<table id=\"table_upl_dtm_fvb\"><thead><tr><th>\n\nCategory\n\n</th><th>\n\nAction\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nLanguage Management\n\n</td><td>\n\nDetect Dominant Language\n\n</td><td>\n\nDetects the language of text using AWS Comprehend service.**Note:** Provide the text for which you want to detect the dominant language in the action input **Text**. The output is a JSON string that contains an array of the detected languages. One of the elements in the array is **Score**. This is a decimal number and its value is between `0` and `1`.\n\n\\[Omitted image \"aws-translate-score.png\"\\] Alt text: Using Score in subsequent actions.\n\nWhen the action is executed, the Languages Detected action output may not display any runtime value. However, the output data pill still holds the response data and can be used in the subsequent actions in the flow or subflow.\n\n\\[Omitted image \"aws-translate-datapill.png\"\\] Alt text: Score value in the output response body.\n\n</td></tr><tr><td>\n\nTranslate Management\n\n</td><td>\n\nTranslate Text\n\n</td><td>\n\nTranslates text from the source language to the target language using AWS Translate service.**Note:**\n\n-   For **Source Language** and **Target Language**, input values can’t be selected until a valid input value is provided for **Region**.\n-   If you select **Auto** from the **Source Language** list, the AWS Translate API uses the AWS Comprehend service to automatically detect the language. In this case, you must provide the region that supports Amazon Comprehend. Else, the request returns an error indicating the auto-detect is not supported.\n\n</td></tr></tbody>\n</table>**Note:** The actions have **Region** as an input. To retrieve the list of available regions, use the List Regions action from the [Amazon EC2 Spoke]().\n\n## Connection and credential alias requirements\n\nIntegration Hub uses aliases to manage connection and credential information, and OAuth credentials. Using an alias eliminates the need to configure multiple credentials and connection information profiles when using multiple environments. If the connection or credential information changes, you don't need to update any actions that use the connection.\n\nFor information about setting up the spoke, see [Set up the AWS Translate spoke](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/integrate-applications/integration-hub/aws-translate-setup.md).\n\n"}}